summaryrefslogtreecommitdiff
path: root/test/integration
diff options
context:
space:
mode:
authorMichael Vogt <michael.vogt@ubuntu.com>2011-08-17 11:38:45 +0200
committerMichael Vogt <michael.vogt@ubuntu.com>2011-08-17 11:38:45 +0200
commitec78b277382e27509a6dec91af4a7a524a422e0f (patch)
tree0bf1e6fe47a5082ecfa5f56e8535f67d24b95b0f /test/integration
parentd4882aa1e1a37b3092950180036676a930a5792f (diff)
parentd95dbc2ffd4acd5776ae6de300be320ef459325e (diff)
merged from lp:~donkult/apt/sid
Diffstat (limited to 'test/integration')
-rw-r--r--test/integration/framework5
-rwxr-xr-xtest/integration/test-ubuntu-bug-802901-multiarch-early-remove24
2 files changed, 29 insertions, 0 deletions
diff --git a/test/integration/framework b/test/integration/framework
index fa451cf4f..ccab010e6 100644
--- a/test/integration/framework
+++ b/test/integration/framework
@@ -612,6 +612,11 @@ changetowebserver() {
if which weborf > /dev/null; then
weborf -xb aptarchive/ 2>&1 > /dev/null &
addtrap "kill $!;"
+ elif which gatling > /dev/null; then
+ cd aptarchive
+ gatling -p 8080 -F -S 2>&1 > /dev/null &
+ addtrap "kill $!;"
+ cd - > /dev/null
elif which lighttpd > /dev/null; then
echo "server.document-root = \"$(readlink -f ./aptarchive)\"
server.port = 8080
diff --git a/test/integration/test-ubuntu-bug-802901-multiarch-early-remove b/test/integration/test-ubuntu-bug-802901-multiarch-early-remove
new file mode 100755
index 000000000..bdb4e5e4f
--- /dev/null
+++ b/test/integration/test-ubuntu-bug-802901-multiarch-early-remove
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture 'amd64' 'i386'
+
+insertinstalledpackage 'libgl1-mesa-glx' 'amd64' '2.0' 'Multi-Arch: same
+Provides: libgl1
+Conflicts: libgl1'
+insertpackage 'unstable' 'libgl1-mesa-glx' 'i386,amd64' '2.0' 'Multi-Arch: same
+Provides: libgl1
+Conflicts: libgl1'
+
+setupaptarchive
+
+testequal 'Reading package lists...
+Building dependency tree...
+The following NEW packages will be installed:
+ libgl1-mesa-glx:i386
+0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
+Inst libgl1-mesa-glx:i386 (2.0 unstable [i386])
+Conf libgl1-mesa-glx:i386 (2.0 unstable [i386])' aptget install libgl1-mesa-glx:i386 -s